## frr 10.1.1

=== debian/changelog ===
frr (10.1.1-2) unstable; urgency=medium

  * Updating to debhelper-compat 13.
  * Updating standards version.
  * Updating homepage field.
  * Trimming alternative from depends pre-bookworm.
  * Trimming versions from depends pre-bookworm.
  * Removing obsolete quagga conflicts.
  * Removing obsolete zebra conflicts.
  * Prefixing debhelper names with explicit package names.
  * Removing obsolete doc-base debhelper file.
  * Removing old lintian-overrides.
  * Making maintainer scripts executable in debian directory.
  * Adding Rules-Requires-Root field.
  * Adding binary package sections explicitly.
  * Wrap and sorting debian packaging files.
  * Skipping sysvinit script.
  * Removing spurious frr.tmpfile copy.
  * Updating package descriptions.
  * Removing redundant information from README.Debian.
  * Removing unused frr-test-tools remains.
  * Trimming README.Maintainer.
  * Renaming remaining README.Maintainers to TODO.
  * Reformating TODO file.
  * Updating TODO file.
  * Replacing adduser with tools from util-linux.
  * Removing now unused quagga upgrade handling in frr postinst.
  * Reformating install files.
  * Rewriting frr.postinst in policy compliant way.
  * Rewriting frr.postrm in policy compliant way.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Nov 2024 17:13:38 +0100

frr (10.1.1-1) unstable; urgency=medium

  * Adding myself to uploaders, thanks David.
  * Harmonizing my email address in changelog entries.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 14:27:13 +0100

frr (10.1.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Sep 2024 05:15:20 +0200

frr (10.1-0.2) unstable; urgency=medium

  * Non-maintainer upload to unstable.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Sep 2024 13:57:30 +0200

frr (10.1-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
  * Removing add-XREF_SETUP-to-libraries-and-utilites.patch, included upstream.
  * Adding conditional in rules to fix FTBFS when building without frr-test-tools.

 -- Daniel Baumann <daniel@debian.org>  Mon, 05 Aug 2024 09:11:22 +0200
