=== debian/control ===
Source: frr
Section: net
Priority: optional
Maintainer: David Lamparter <equinox-debian@diac24.net>
Uploaders:
 FRRouting-dev <dev@lists.frrouting.org>,
 Ondřej Surý <ondrej@debian.org>,
 Daniel Baumann <daniel@debian.org>,
Build-Depends:
 bison,
 chrpath,
 debhelper-compat (= 13),
 flex,
 gawk,
 install-info,
 libc-ares-dev,
 libcap-dev,
 libelf-dev:native,
 libjson-c-dev,
 liblua5.3-dev <pkg.frr.lua>,
 libpam0g-dev,
 libpcre2-dev,
 libprotobuf-c-dev,
 libpython3-dev:native,
 libreadline-dev,
 librtr-dev <!pkg.frr.nortrlib>,
 libsnmp-dev,
 libssh-dev <!pkg.frr.nortrlib>,
 libunwind-dev [!alpha !m68k !sparc64 !x32],
 libyang2-dev (>= 2.1.128),
 lua5.3 <pkg.frr.lua>,
 pkgconf,
 protobuf-c-compiler,
 python3-dev:native,
 python3-pytest:native <!nocheck>,
 python3-sphinx:native,
 python3:native,
 texinfo,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.frrouting.org
Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master

Package: frr
Section: net
Architecture: linux-any
Depends:
 iproute2,
 logrotate,
 lsof,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 frr-pythontools,
Suggests:
 frr-doc,
Conflicts:
 pimd,
Description: FRRouting Internet routing protocol suite
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 FRR's integration in Linux IP networking stacks makes it a general purpose
 routing stack for a wide variety of use cases including connecting
 hosts/VMs/containers to the network, advertising network services, LAN
 switching and routing, Internet access routers, and Internet peering.

Package: frr-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Suggests:
 frr,
Description: FRRouting Internet routing protocol suite (documentation)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package contains the HTML user guide (https://frrouting.readthedocs.io).

Package: frr-pythontools
Section: net
Architecture: all
Depends:
 frr (<< ${source:Upstream-Version}.0-~),
 frr (>= ${source:Version}~),
 python3:any,
 ${misc:Depends},
Description: FRRouting Internet routing protocol suite (reload support)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package contains a small Python tool to provide configuration reload
 functionality.
 .
 This is useful when the interactive configuration shell is not used. Without
 this package installed, "reload" will not work for the FRR daemons.

Package: frr-rpki-rtrlib
Section: net
Architecture: linux-any
Build-Profiles: <!pkg.frr.nortrlib>
Depends:
 frr (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: FRRouting Internet routing protocol suite (BGP RPKI support)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package adds RPKI support to FRR's bgpd, allowing validation of BGP
 routes against cryptographic information stored in WHOIS databases.
 .
 This is used to prevent hijacking of networks on the wider internet and is
 only relevant to internet service providers using their own autonomous system
 number.

Package: frr-snmp
Section: net
Architecture: linux-any
Depends:
 frr (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 snmpd,
Description: FRRouting Internet routing protocol suite (SNMP support)
 FRRouting (FRR) is a Internet routing protocol suite implementing BGP, OSPF,
 RIP, IS-IS, PIM, LDP, BFD, Babel, PBR, OpenFabric, VRRP, EIGRP and NHRP.
 .
 This package adds SNMP support to FRR's daemons by attaching to net-snmp's
 snmpd through the AgentX protocol.
 .
 This allows read-only access to current routing state through standard SNMP
 MIBs.
