## frr 10.2.1

=== sharpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. sharpd/sharpd
%: ALWAYS
	@$(MAKE) -s -C .. sharpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
