=== vtysh/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. vtysh/vtysh
%: ALWAYS
	@$(MAKE) -s -C .. vtysh/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
