=== debian/changelog ===
frr (10.2.1-1ubuntu3) plucky; urgency=medium

  * Re-add scripting support with lua 5.4 (LP: #2094850)
    - d/p/add-lua5.4-support-*.patch: Add support for lua 5.4
    - d/control: Add lua5.4 to build and runtime dependencies
    - d/rules: Revert pkg.frr.nolua build profile addition

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 15 Jan 2025 17:50:42 -0500

frr (10.2.1-1ubuntu2) plucky; urgency=medium

  * d/control, d/rules: disable scripting support (lua) to avoid a component
    mismatch when building on Ubuntu and derivatives (LP: #2093186)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 07 Jan 2025 10:50:06 -0300

frr (10.2.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2085232). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
  * Added:
    - Fix FTBFS on big-endian systems due to build-time test failure
      (Closes: #1091379):
      + d/p/fix-big-endian-test.patch: Fix TestFrrscript.test_exit_cleanly test
        case on big endian platforms
      + d/rules: don't ignore test failures on s390x

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 25 Dec 2024 10:20:03 -0300

frr (10.2.1-1) unstable; urgency=medium

  * Merging upstream version 10.2.1.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Dec 2024 08:34:42 +0100

frr (10.2-2) unstable; urgency=medium

  * Avoid failing the testsuite on s390x for now.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Dec 2024 16:03:09 +0100

frr (10.2-1) unstable; urgency=medium

  * Merging upstream version 10.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:18:11 +0100

frr (10.1.1-3) unstable; urgency=medium

  * Changing lua build-profile to match its original intendet purpose of
    enabling scripting support by default but allowing to exclude it if
    needed.
  * Changing pim6d build-profile to match its original intendet purpose of
    enabling pim6d by default but allowing to exclude it if needed
    (Closes: #1071653).
  * Updating TODO file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Nov 2024 14:56:14 +0100
