=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
 Uploaders:
  FRRouting-dev <dev@lists.frrouting.org>,
  Ondřej Surý <ondrej@debian.org>,
@@ -17,7 +18,7 @@
  libcap-dev,
  libelf-dev:native,
  libjson-c-dev,
- liblua5.3-dev <pkg.frr.lua>,
+ liblua5.4-dev <!pkg.frr.nolua>,
  libpam0g-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
@@ -28,7 +29,7 @@
  libssh-dev <!pkg.frr.nortrlib>,
  libunwind-dev [!alpha !m68k !sparc64 !x32],
  libyang2-dev (>= 2.1.128),
- lua5.3 <pkg.frr.lua>,
+ lua5.4 <!pkg.frr.nolua>,
  pkgconf,
  protobuf-c-compiler,
  python3-dev:native,
