=== debian/watch ===
version=4

https://github.com/FRRouting/frr/tags .*/frr-(\d[0-9.]*)\.tar.gz
