## frr 10.3

=== isisd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. isisd/isisd
%: ALWAYS
	@$(MAKE) -s -C .. isisd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
