=== watchfrr/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. watchfrr/watchfrr
%: ALWAYS
	@$(MAKE) -s -C .. watchfrr/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
