=== debian/changelog ===
frr (10.3-3) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:59:37 +0200

frr (10.3-2) sid; urgency=medium

  * Adding patch from upstream to fix FTBFS with tests on s390 and others
    (Closes: #1102693).

 -- Daniel Baumann <daniel@debian.org>  Wed, 16 Apr 2025 12:17:16 +0200

frr (10.3-1) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Merging upstream version 10.3.
  * Removing ftbfs-big-endian.patch, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Wed, 12 Mar 2025 10:27:23 +0100

frr (10.2.1-6) sid; urgency=medium

  * Harmonizing watch file.
  * Removing Ondřej from Uploaders as wished and with thanks for his past
    work (#1098233).
  * Wrap and sorting debian files.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 06:51:41 +0100

frr (10.2.1-5) sid; urgency=medium

  * Updating vcs fields.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 20:31:38 +0100

frr (10.2.1-4) experimental; urgency=medium

  * Building with libyang 3.

 -- Daniel Baumann <daniel@debian.org>  Tue, 11 Feb 2025 20:12:28 +0100

frr (10.2.1-3) sid; urgency=medium

  * Manually adding ftbfs-big-endian.patch from previous upload to git
    (patches are excluded because of upstreams gitignore file).
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Feb 2025 23:58:04 +0100

frr (10.2.1-2) sid; urgency=medium

  * Adding patch from Helge Deller <deller@kernel.org> to fix FTBFS on all
    big endian architectures (Closes: #1091379).
  * Removing disabling of tests on s390.
  * Removing dpkg-statoverride for /etc/frr in postrm, thanks Andreas
    Hasenack <andreas.hasenack@canonical.com> (Closes: #1091415).

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 16:58:11 +0100

frr (10.2.1-1) sid; urgency=medium

  * Merging upstream version 10.2.1.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Dec 2024 08:34:42 +0100

frr (10.2-2) sid; urgency=medium

  * Avoid failing the testsuite on s390x for now.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Dec 2024 16:03:09 +0100

frr (10.2-1) sid; urgency=medium

  * Merging upstream version 10.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Nov 2024 07:18:11 +0100

frr (10.1.1-3) sid; urgency=medium

  * Changing lua build-profile to match its original intendet purpose of
    enabling scripting support by default but allowing to exclude it if
    needed.
  * Changing pim6d build-profile to match its original intendet purpose of
    enabling pim6d by default but allowing to exclude it if needed
    (Closes: #1071653).
  * Updating TODO file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Nov 2024 14:56:14 +0100

frr (10.1.1-2) sid; urgency=medium

  * Updating to debhelper-compat 13.
  * Updating standards version.
  * Updating homepage field.
  * Trimming alternative from depends pre-bookworm.
  * Trimming versions from depends pre-bookworm.
  * Removing obsolete quagga conflicts.
  * Removing obsolete zebra conflicts.
  * Prefixing debhelper names with explicit package names.
  * Removing obsolete doc-base debhelper file.
  * Removing old lintian-overrides.
  * Making maintainer scripts executable in debian directory.
  * Adding Rules-Requires-Root field.
  * Adding binary package sections explicitly.
  * Wrap and sorting debian packaging files.
  * Skipping sysvinit script.
  * Removing spurious frr.tmpfile copy.
  * Updating package descriptions.
  * Removing redundant information from README.Debian.
  * Removing unused frr-test-tools remains.
  * Trimming README.Maintainer.
  * Renaming remaining README.Maintainers to TODO.
  * Reformating TODO file.
  * Updating TODO file.
  * Replacing adduser with tools from util-linux.
  * Removing now unused quagga upgrade handling in frr postinst.
  * Reformating install files.
  * Rewriting frr.postinst in policy compliant way.
  * Rewriting frr.postrm in policy compliant way.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Nov 2024 17:13:38 +0100

frr (10.1.1-1) sid; urgency=medium

  * Adding myself to uploaders, thanks David.
  * Harmonizing my email address in changelog entries.

 -- Daniel Baumann <daniel@debian.org>  Sat, 09 Nov 2024 14:27:13 +0100

frr (10.1.1-0.1) sid; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Sep 2024 05:15:20 +0200

frr (10.1-0.2) sid; urgency=medium

  * Non-maintainer upload to unstable.

 -- Daniel Baumann <daniel@debian.org>  Wed, 11 Sep 2024 13:57:30 +0200

frr (10.0.1-0.1) sid; urgency=medium

  * Non-maintainer upload.
  * New upstream release:
    - an attacker using a malformed Prefix SID attribute in a BGP UPDATE
      packet can cause the bgpd daemon to crash [CVE-2024-31948]
      (Closes: #1072126)
    - an infinite loop can occur when receiving a MP/GR capability as a
      dynamic capability because malformed data results in a pointer not
      advancing [CVE-2024-31949] (Closes: #1072125)
    - there can be a buffer overflow and daemon crash in ospf_te_parse_ri for
      OSPF LSA packets during an attempt to read Segment Routing subTLVs (their
      size is not validated) [CVE-2024-31950] (Closes: #1070377)
    - there can be a buffer overflow and daemon crash in
      ospf_te_parse_ext_link for OSPF LSA packets during an attempt to read
      Segment Routing Adjacency SID subTLVs (lengths are not validated)
      [CVE-2024-31951 (Closes: #1070377)
    - ospf_te_parse_te in ospfd/ospf_te.c allows remote attackers to cause a
      denial of service (ospfd daemon crash) via a malformed OSPF LSA packet,
      because of an attempted access to a missing attribute field
      [CVE-2024-27913]
    - it is possible for the get_edge() function in ospf_te.c in the OSPF
      daemon to return a NULL pointer. In cases where calling functions do not

