=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: David Lamparter <equinox-debian@diac24.net>
 Uploaders:
  FRRouting-dev <dev@lists.frrouting.org>,
- Ondřej Surý <ondrej@debian.org>,
  Daniel Baumann <daniel@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  bison,
  chrpath,
- debhelper-compat (= 13),
  flex,
  gawk,
  install-info,
@@ -18,7 +16,7 @@
  libcap-dev,
  libelf-dev:native,
  libjson-c-dev,
- liblua5.4-dev <!pkg.frr.nolua>,
+ liblua5.3-dev <!pkg.frr.nolua>,
  libpam0g-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
@@ -28,8 +26,8 @@
  libsnmp-dev,
  libssh-dev <!pkg.frr.nortrlib>,
  libunwind-dev [!alpha !m68k !sparc64 !x32],
- libyang2-dev (>= 2.1.128),
- lua5.4 <!pkg.frr.nolua>,
+ libyang-dev,
+ lua5.3 <!pkg.frr.nolua>,
  pkgconf,
  protobuf-c-compiler,
  python3-dev:native,
@@ -38,10 +36,10 @@
  python3:native,
  texinfo,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.frrouting.org
-Vcs-Browser: https://github.com/FRRouting/frr/tree/debian/master
-Vcs-Git: https://github.com/FRRouting/frr.git -b debian/master
+Vcs-Browser: https://forgejo.debian.net/frr/frr
+Vcs-Git: https://forgejo.debian.net/frr/frr
 
 Package: frr
 Section: net
