=== debian/watch ===
version=4
https://github.com/FRRouting/frr/tags .*/frr-?(\d.*)@ARCHIVE_EXT@
