## frr 10.3.1

=== debian/changelog ===
frr (10.3.1-4) experimental; urgency=medium

  * Also build-conflicting against libunwind-14-dev from llvm-
    toolchain-14.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jul 2025 12:12:00 +0200

frr (10.3.1-3) experimental; urgency=medium

  * Adding build-conflicts to libunwind-dev from llvm-toolchain (#1100483)
    to fix FTBFS.

 -- Daniel Baumann <daniel@debian.org>  Sun, 13 Jul 2025 07:38:53 +0200

frr (10.3.1-2) experimental; urgency=medium

  * Updating watch file to exclude pre-releases.
  * Updating maintainer field.

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jun 2025 19:44:32 +0200

frr (10.3.1-1) experimental; urgency=medium

  * Merging upstream version 10.3.1.
  * Removing fix-ftbfs-s390x.patch, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Jun 2025 21:13:56 +0200

frr (10.3-5) experimental; urgency=medium

  * Adding upstream metadata.
  * Adding explicit libcrypt-dev to build-depends, thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1106979).

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Jun 2025 07:20:19 +0200

frr (10.3-4) experimental; urgency=medium

  * Harmonizing upstream urls.
  * Updating watch file to exclude dev tags.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 09:22:46 +0200
