=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: David Lamparter <equinox-debian@diac24.net>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Uploaders:
- FRRouting-dev <dev@lists.frrouting.org>,
- Daniel Baumann <daniel@debian.org>,
+ David Lamparter <equinox-debian@diac24.net>,
 Build-Depends:
  debhelper-compat (= 13),
  bison,
@@ -14,6 +13,7 @@
  install-info,
  libc-ares-dev,
  libcap-dev,
+ libcrypt-dev,
  libelf-dev:native,
  libjson-c-dev,
  liblua5.3-dev <!pkg.frr.nolua>,
@@ -35,6 +35,10 @@
  python3-sphinx:native,
  python3:native,
  texinfo,
+Build-Conflicts:
+ libunwind-14-dev,
+ libunwind-19-dev,
+ libunwind-20-dev,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://www.frrouting.org
