## frr 10.4.0

=== debian/changelog ===
frr (10.4.0-1) experimental; urgency=medium

  * Merging upstream version 10.4.0.

 -- Daniel Baumann <daniel@debian.org>  Mon, 21 Jul 2025 06:07:07 +0200
