## frr 10.4.1

=== babeld/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. babeld/babeld
%: ALWAYS
	@$(MAKE) -s -C .. babeld/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
