=== bfdd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. bfdd/bfdd
%: ALWAYS
	@$(MAKE) -s -C .. bfdd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
