=== bgpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. bgpd/bgpd
%: ALWAYS
	@$(MAKE) -s -C .. bgpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
