=== eigrpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. eigrpd/eigrpd
%: ALWAYS
	@$(MAKE) -s -C .. eigrpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
