=== grpc/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. grpc/libfrrgrpc_pb.la
%: ALWAYS
	@$(MAKE) -s -C .. grpc/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
