=== ospfd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ospfd/ospfd
%: ALWAYS
	@$(MAKE) -s -C .. ospfd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
