=== qpb/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. fpm/libfrr_pb.la
%: ALWAYS
	@$(MAKE) -s -C .. fpm/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
