=== ripd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ripd/ripd
%: ALWAYS
	@$(MAKE) -s -C .. ripd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
