=== bgpd/rfp-example/librfp/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/librfp/librfp.a
%: ALWAYS
	@$(MAKE) -s -C ../../.. bgpd/rfp-example/librfp/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
