=== debian/changelog ===
frr (10.4.1-3) sid; urgency=medium

  * Building with lua 5.4, thanks to Andreas Hasenack
    <andreas.hasenack@canonical.com> (Closes: #1110869).

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Aug 2025 05:10:15 +0200

frr (10.4.1-2) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:57:41 +0200

frr (10.4.1-1) experimental; urgency=medium

  * Merging upstream version 10.4.1.

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Aug 2025 06:07:31 +0200
