=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libcrypt-dev,
  libelf-dev:native,
  libjson-c-dev,
- liblua5.3-dev <!pkg.frr.nolua>,
+ liblua5.4-dev <!pkg.frr.nolua>,
  libpam0g-dev,
  libpcre2-dev,
  libprotobuf-c-dev,
@@ -27,7 +27,7 @@
  libssh-dev <!pkg.frr.nortrlib>,
  libunwind-dev [!alpha !m68k !sparc64 !x32],
  libyang-dev,
- lua5.3 <!pkg.frr.nolua>,
+ lua5.4 <!pkg.frr.nolua>,
  pkgconf,
  protobuf-c-compiler,
  python3-dev:native,
