=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
 
 # standard Debian options & profiles
 
@@ -21,16 +23,16 @@
   CONF_RPKI=--disable-rpki
 endif
 
-ifeq ($(filter pkg.frr.lua,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter pkg.frr.nolua,$(DEB_BUILD_PROFILES)),)
+  CONF_LUA=--enable-scripting
+else
   CONF_LUA=--disable-scripting
-else
-  CONF_LUA=--enable-scripting
 endif
 
-ifeq ($(filter pkg.frr.pim6d,$(DEB_BUILD_PROFILES)),)
+ifeq ($(filter pkg.frr.nopim6d,$(DEB_BUILD_PROFILES)),)
+  CONF_PIM6=--enable-pim6d
+else
   CONF_PIM6=--disable-pim6d
-else
-  CONF_PIM6=--enable-pim6d
 endif
 
 export PYTHON=python3
