=== debian/tests/control ===
Tests:
 zebra-lo,
Depends:
 frr,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 bgpd-snmp-rpki,
Depends:
 frr,
 frr-rpki-rtrlib,
 frr-snmp,
Restrictions:
 isolation-container,
 needs-root,

Tests:
 py-frr-reload,
Depends:
 frr,
 frr-pythontools,
Restrictions:
 isolation-container,
 needs-root,
