=== debian/watch ===
version=4
opts=uversionmangle=s/.*-(dev|rc[0-9]*)// \
https://github.com/FRRouting/frr/tags .*/frr-?(\d.*)@ARCHIVE_EXT@
