=== ldpd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. ldpd/ldpd
%: ALWAYS
	@$(MAKE) -s -C .. ldpd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
