=== pbrd/Makefile ===
all: ALWAYS
	@$(MAKE) -s -C .. pbrd/pbrd
%: ALWAYS
	@$(MAKE) -s -C .. pbrd/$@

Makefile:
	#nothing
ALWAYS:
.PHONY: ALWAYS makefiles
.SUFFIXES:
