## frr 10.5.1

=== debian/changelog ===
frr (10.5.1-1ubuntu2) resolute; urgency=medium

  * SECURITY UPDATE: multiple ospf security issues
    - debian/patches/CVE-2025-61xxx-1.patch: add null check for vty_out in
      check_tlv_size in ospfd/ospf_ext.c.
    - debian/patches/CVE-2025-61xxx-2.patch: fix NULL Pointer Deference
      when dumping link info in ospfd/ospf_ext.c.
    - debian/patches/CVE-2025-61xxx-3.patch: skip subsequent tlvs after
      invalid length in ospfd/ospf_ext.c, ospfd/ospf_ri.c, ospfd/ospf_te.c.
    - debian/patches/CVE-2025-61xxx-4.patch: reformat check_tlv_size macro
      in ospfd/ospf_ext.c, ospfd/ospf_ri.c, ospfd/ospf_te.c.
    - CVE-2025-61099, CVE-2025-61100, CVE-2025-61101, CVE-2025-61102,
      CVE-2025-61103, CVE-2025-61104, CVE-2025-61105, CVE-2025-61106,
      CVE-2025-61107

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Feb 2026 09:22:11 -0500

frr (10.5.1-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #1958162). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
    - d/rules: set INET_NTOP_NO_OVERRIDE to workaround build failure with newer
      glibc and FORTIFY_SOURCE
  * Dropped:
    - d/t/{utils,zebra-lo,py-frr-reload,bgpd-snmp-rpki}: Add a controlled loop
      to wait for the service to be ready
      [In 10.5.0-2]
  * Added:
    - d/t/{utils,py-frr-reload,bgpf-snmp-rpki,zebra-lo}: show logs in case of
      failure

 -- Andreas Hasenack <andreas.hasenack@canonical.com>  Tue, 10 Feb 2026 16:58:52 -0300

frr (10.5.1-1) sid; urgency=medium

  * Merging upstream version 10.5.1.
  * Updating homepage field.

 -- Daniel Baumann <daniel@debian.org>  Wed, 07 Jan 2026 13:03:43 +0100

frr (10.5.0-2) sid; urgency=medium

  * Updating to standards version 4.7.3.
  * Applying patch from Andreas Hasenack <andreas.hasenack@canonical.com>
    to add a controlled loop to wait for the service to be ready in
    debian/tests/{utils,zebra-lo,py-frr-reload,bgpd-snmp-rpki} (Closes:
    #1124700).
  * Harmonizing code style in debian/tests.

 -- Daniel Baumann <daniel@debian.org>  Mon, 05 Jan 2026 20:56:53 +0100

frr (10.4.1-3ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Mon, 02 Feb 2026 21:38:51 +0100

frr (10.4.1-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2120326). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
  * Dropped:
    - d/control: go back to libyang2, as libyang3 is still in universe
      [src:libyang MIR approved, see LP #2120329]
    - d/control: Add lua5.4 to build and runtime dependencies
      [In 10.4.1-3]
  * Added:
    - d/rules: set INET_NTOP_NO_OVERRIDE to workaround build failure with newer
      glibc and FORTIFY_SOURCE
    - d/t/{utils,zebra-lo,py-frr-reload,bgpd-snmp-rpki}: Add a controlled loop
      to wait for the service to be ready:

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 13 Aug 2025 09:43:00 -0300

frr (10.3-3ubuntu2) questing; urgency=medium

  * d/control: go back to libyang2, as libyang3 is still in universe

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 13 Jun 2025 11:56:54 -0300

frr (10.3-3ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110434). Remaining changes:
    - Fix logging with Ubuntu's unprivileged rsyslog (LP #1958162):
      + d/frr.postinst: adjust log directory ownership
      + d/frr.logrotate: change rotated log file ownership
    - d/control: Add lua5.4 to build and runtime dependencies
  * Dropped:
    - Fix FTBFS on big-endian systems due to build-time test failure
      (Closes: #1091379):
      + d/p/fix-big-endian-test.patch: Fix TestFrrscript.test_exit_cleanly test
        case on big endian platforms
      + d/rules: don't ignore test failures on s390x
      [Fixed in 10.3-2]
    - d/p/add-lua5.4-support-*.patch: Add support for lua 5.4 (LP #2094850)
      [Included in 10.3 upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 11 Jun 2025 11:57:35 -0300
