=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: frr
 Section: net
 Priority: optional
-Maintainer: Daniel Baumann <daniel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
 Uploaders:
  David Lamparter <equinox-debian@diac24.net>,
 Build-Depends:
@@ -39,8 +40,8 @@
  libunwind-14-dev,
  libunwind-19-dev,
  libunwind-20-dev,
-Standards-Version: 4.7.2
-Homepage: https://www.frrouting.org
+Standards-Version: 4.7.3
+Homepage: https://github.com/FRRouting/frr
 Vcs-Browser: https://forgejo.debian.net/frr/frr
 Vcs-Git: https://forgejo.debian.net/frr/frr
