=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Fix issue with D_FORTIFY_SOURCE on newer glibc
+# https://github.com/FRRouting/frr/issues/18575
+export DEB_CPPFLAGS_MAINT_APPEND += -DINET_NTOP_NO_OVERRIDE
 
 # package-specific build profiles
 ifeq ($(filter pkg.frr.nortrlib,$(DEB_BUILD_PROFILES)),)
