## frr 10.5.2

=== debian/changelog ===
frr (10.5.2-1) sid; urgency=medium

  * Correcting wrong cherry-pick attribution in previous changelog, thanks
    to Andreas Hasenack <andreas.hasenack@canonical.com> for reporting it.
  * Merging upstream version 10.5.2.

 -- Daniel Baumann <daniel@debian.org>  Sun, 22 Feb 2026 08:39:10 +0100

frr (10.5.1-3) sid; urgency=medium

  * Adding patches from upstream to fix various NULL pointer dereferencing
    in ospfd, thanks to Marc Deslauriers <marc.deslauriers@ubuntu.com>
    for cherry-picking them [CVE-2025-61099 CVE-2025-61100 CVE-2025-61101
    CVE-2025-61102 CVE-2025-61103 CVE-2025-61104 CVE-2025-61105
    CVE-2025-61106 CVE-2025-61107] (Closes: #1119292).

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 13:50:29 +0100

frr (10.5.1-2) sid; urgency=medium

  * Adding patch from Andreas Hasenack <andreas.hasenack@canonical.com> to
    make autopkgtests show extra logs when there is a test failure
    (Closes: #1127636).
  * Harmonize indenting in autopkgtests.

 -- Daniel Baumann <daniel@debian.org>  Sat, 14 Feb 2026 10:30:44 +0100
